<?php

namespace App\Classes\Modules\Documents;

use App\Classes\Interfaces\Document;

abstract class AbstractDocument implements Document
{
    /** @var int */
    protected $type;

    /** @var int */
    protected $referenceId;

    /** @var string */
    protected $documentType;

    public function __construct(int $type, int $reference_id, string $document_type){
        $this->type = $type;
        $this->referenceId = $reference_id;
        $this->documentType = $document_type;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }

    /**
     * @return int
     */
    public function getReferenceId(): int
    {
        return $this->referenceId;
    }

    /**
     * @return string
     */
    public function getDocumentType(): string
    {
        return $this->documentType;
    }


}